Move or rename a file or directory
Move or rename a file or directory. Set `overwrite` to true to replace the destination if it exists.
Move or rename a file or directory. Set overwrite to true to replace the destination if it exists.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
src_path*string
Source path.
dst_path*string
Destination path.
overwrite?boolean
Overwrite destination if it exists.
Default
falseResponse Body
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/filesystem/move" \ -H "Content-Type: application/json" \ -d '{ "src_path": "string", "dst_path": "string" }'Empty
{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}{ "message": "string"}
